commit:     6311e8be48ae102e53e38e923e38df6bc1a24840
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Mar  9 17:27:03 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  9 17:27:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6311e8be

dev-python/httpx: Version bump, and enable test and doc

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/httpx/Manifest            |  3 +-
 dev-python/httpx/httpx-0.11.1.ebuild | 47 ++++++++++++++++++++++-
 dev-python/httpx/httpx-0.12.0.ebuild | 72 ++++++++++++++++++++++++++++++++++++
 3 files changed, 120 insertions(+), 2 deletions(-)

diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index 6146f31..c6114ba 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1 +1,2 @@
-DIST httpx-0.11.1.tar.gz 65974 BLAKE2B 
fabf6f8e9b48ad3ccc79c72c42ad007819a065d74c8c0d7225550cc2e223626b896b57378ad989c7f04b17e70d1941873addcec2507afefde0801f4eaa6d3f43
 SHA512 
0203d348739b450fec1f386778136f8591d0177f58eff68d3887348f1e379bfd7da98b87a80b195d023ce17e1442989a52765704be18088166593211a23b84ad
+DIST httpx-0.11.1.tar.gz 177579 BLAKE2B 
a5722e997a79fd9b5c701a862abb4bf70458bf57057d2a9fb9a2dccdbbca2f4f54bf59e91437ed8ff452737a3b01d69dbf4efe3ef03d49e240bc5bf54e51ebea
 SHA512 
4da80a0232092d2423fd95d4549df79d9885e6ce34af0480f1d5a4904c9ca0fdb725b600f603c482179ea3b7c6ee5b584a70b8c0722918ba28f1bcc5c48201ad
+DIST httpx-0.12.0.tar.gz 186138 BLAKE2B 
d350a156e1663a197e2f7ab43531735e08da0d5b68df2d75e8cd2396b82095668318ecc0ca0558736f97f56ad72970ebf36fe34706b3d65e6d59fabd0ba75431
 SHA512 
a50c6a1686f3224ad906383d6d25cde8006d4514a9d079be06e9c255f4efdc9b1859e5523d39be484c09c930d1cf84feb15374d7d0904a6c1d903b62b7caa9f5

diff --git a/dev-python/httpx/httpx-0.11.1.ebuild 
b/dev-python/httpx/httpx-0.11.1.ebuild
index 0e11ec8..1de54b5 100644
--- a/dev-python/httpx/httpx-0.11.1.ebuild
+++ b/dev-python/httpx/httpx-0.11.1.ebuild
@@ -10,12 +10,15 @@ inherit distutils-r1
 DESCRIPTION="A next generation HTTP client for Python"
 HOMEPAGE="https://www.python-httpx.org
        https://github.com/encode/httpx";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="BSD"
 KEYWORDS="~amd64 ~x86"
 SLOT="0"
 
+IUSE="doc"
+REQUIRED_USE="x86? ( !doc )"
+
 RDEPEND="dev-python/certifi[${PYTHON_USEDEP}]
        dev-python/chardet[${PYTHON_USEDEP}]
        dev-python/hstspreload[${PYTHON_USEDEP}]
@@ -25,3 +28,45 @@ RDEPEND="dev-python/certifi[${PYTHON_USEDEP}]
        dev-python/rfc3986[${PYTHON_USEDEP}]
        dev-python/sniffio[${PYTHON_USEDEP}]
        dev-python/urllib3[${PYTHON_USEDEP}]"
+
+BDEPEND="doc? ( !x86? (
+       dev-python/mkdocs
+       dev-python/mkautodoc
+       dev-python/mkdocs-material ) )"
+
+DEPEND="test? (
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/brotlipy[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/isort[${PYTHON_USEDEP}]
+       dev-python/flake8[${PYTHON_USEDEP}]
+       dev-python/mypy[${PYTHON_USEDEP}]
+       dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       dev-python/trio[${PYTHON_USEDEP}]
+       dev-python/trustme[${PYTHON_USEDEP}]
+       dev-python/uvicorn[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # do not depend on pytest-cov
+       sed -i -e '/addopts/d' setup.cfg || die
+
+       # requires internet connection
+       sed -i -e 's:test_start_tls_on_tcp_socket_stream:_&:' \
+               -e 's:test_start_tls_on_uds_socket_stream:_&:' \
+                tests/test_concurrency.py || die
+
+       sed -i -e 's:test_http2_live_request:_&:' \
+               tests/dispatch/test_http2.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       default
+       if use doc; then
+               mkdocs build || die "failed to make docs"
+               HTML_DOCS="site"
+       fi
+}

diff --git a/dev-python/httpx/httpx-0.12.0.ebuild 
b/dev-python/httpx/httpx-0.12.0.ebuild
new file mode 100644
index 0000000..1de54b5
--- /dev/null
+++ b/dev-python/httpx/httpx-0.12.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A next generation HTTP client for Python"
+HOMEPAGE="https://www.python-httpx.org
+       https://github.com/encode/httpx";
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+IUSE="doc"
+REQUIRED_USE="x86? ( !doc )"
+
+RDEPEND="dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/chardet[${PYTHON_USEDEP}]
+       dev-python/hstspreload[${PYTHON_USEDEP}]
+       dev-python/hyper-h2[${PYTHON_USEDEP}]
+       dev-python/h11[${PYTHON_USEDEP}]
+       dev-python/idna[${PYTHON_USEDEP}]
+       dev-python/rfc3986[${PYTHON_USEDEP}]
+       dev-python/sniffio[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]"
+
+BDEPEND="doc? ( !x86? (
+       dev-python/mkdocs
+       dev-python/mkautodoc
+       dev-python/mkdocs-material ) )"
+
+DEPEND="test? (
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/brotlipy[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/isort[${PYTHON_USEDEP}]
+       dev-python/flake8[${PYTHON_USEDEP}]
+       dev-python/mypy[${PYTHON_USEDEP}]
+       dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       dev-python/trio[${PYTHON_USEDEP}]
+       dev-python/trustme[${PYTHON_USEDEP}]
+       dev-python/uvicorn[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # do not depend on pytest-cov
+       sed -i -e '/addopts/d' setup.cfg || die
+
+       # requires internet connection
+       sed -i -e 's:test_start_tls_on_tcp_socket_stream:_&:' \
+               -e 's:test_start_tls_on_uds_socket_stream:_&:' \
+                tests/test_concurrency.py || die
+
+       sed -i -e 's:test_http2_live_request:_&:' \
+               tests/dispatch/test_http2.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       default
+       if use doc; then
+               mkdocs build || die "failed to make docs"
+               HTML_DOCS="site"
+       fi
+}

Reply via email to